cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements
Walkthrough Wednesdays
2614
Views
5
Helpful
8
Replies
thechummygremlin
Beginner

CP-8861-3PCC-K9 Upgrade Failure

I am attempting to upgrade our newly received 8861-3PCC phones.  I have read over the forums and believe I understand the two methods: Upgrade Rule and "Browser Command"

 

The problem I am having is that the upgrade fails in one of two ways: either the .loads file is be transferred and then the upgrade process will halt, or the system kicks back a failure and halts.  Either way, I can see that the .loads file is transferred from my TFTP server.

 

Just to show I am aware of the procedures, here is the data I am inputing into the Upgrade Rule field: tftp://10.10.1.50/sip88xx.11-0-1MPP-477.loads and as the "Browser Command" : 10.10.1.110/admin/upgrade?tftp://10.10.1.50/sip88xx.11-0-1MPP-477.loads

 

I usually receive this error on the Upgrade Status: [tftp://10.10.1.50/sip88xx.11-0-1MPP-477.loads] Upgrade Failed. Reason: Unknown Error

 

Any insights that can help me solve this issue would be helpful.

1 ACCEPTED SOLUTION

Accepted Solutions

Hi,

 

Can you tell me what the current release is you are running on the phone?

Most likely it's running 10.4.x relase (which will fail to upgrade in a single step to 11.0.1.MPP-477)

Phones prior to 11.x nedd first to upgrade to 11.0 (11.0.0.MPP-7) is the fcs load on CCO

Once the phone runs on 11.0 it can go to any 11.x build (the 477 build you tried is the latest fcs load).

Other issue could be that the tftp fails to host the files as a lot of TFTP server have limited support for large files. In production environments we internal and also most (if not all) providers run HTTP(S) to provide firmware & provisioning files to the phone.

View solution in original post

8 REPLIES 8
Andrew West
Enthusiast

To be clear are you trying to upgrade the firmware on phones ?

 

If so there are specific HW versions of 8851/61 that require version 11.7 or higher and will faill any attempt to rollback. 

 

Flip the phone over and see if their is a small white sticker that says that? 

Correct. I am attempting to upgrade them from the 10.X version, to 11.0

There is no white sticker regarding HW version requirements.

Hi,

 

Can you tell me what the current release is you are running on the phone?

Most likely it's running 10.4.x relase (which will fail to upgrade in a single step to 11.0.1.MPP-477)

Phones prior to 11.x nedd first to upgrade to 11.0 (11.0.0.MPP-7) is the fcs load on CCO

Once the phone runs on 11.0 it can go to any 11.x build (the 477 build you tried is the latest fcs load).

Other issue could be that the tftp fails to host the files as a lot of TFTP server have limited support for large files. In production environments we internal and also most (if not all) providers run HTTP(S) to provide firmware & provisioning files to the phone.

View solution in original post

This is what I needed to know: you cannot directly upgrade from 10.4 to the latest build. I downloaded the 11.0 build, and the TFTP transfer worked swimmingly.

I know this is an old thread, but maybe you could help 

I'm trying to upgrade from sip88xx.10-4-1OD-164-3PCC to cp-88xx.11-0-0MPP-7 via https

 

what am I doing wrong

I can download the files directly through a web browser, so the web server is ok.

 

It's best to open a separate thread where your issue can be analyzed. We will need to see the logs. Also what's the upgrade error which shows up?

Hi Andrew,

 

11.7 does not exist (yet) for 3PCC phones. The 3PCC phones run 10.3/10.4 (if running an old load) or 11.0.0.MPP-7 or 11.0.1MPP-477 when running a recent load.

11.7 is one of the releases we have for the enterprise phones (connecting to CUCM/HCS/Spark)

 

Is it possible to upgrade a CP-8861-3PCC to Cisco Spark OS?

Content for Community-Ad

Spotlight Awards 2021